当前套餐不支持角色管理
API 会返回 402 Payment Required,并附带此问题详情。其 type 为 https://lingo.dev/docs/api/errors/rbac-disabled。所有错误的通用结构请参阅错误和状态码。
组织 <organizationId> 获得基于角色的访问控制功能的使用权限后,才能管理角色。目前所有成员的访问权限相同。请升级套餐以管理角色。
字段#
除标准的 type、status、title 和 detail 字段外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。
| 字段 | 类型 |
|---|---|
organizationId | string |
示例#
json
{
"detail": "Roles cannot be managed until organization <organizationId> holds the role-based access control entitlement. Every member currently carries the same access. Upgrade the plan to manage roles.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/rbac-disabled",
"status": 402,
"title": "Roles not in plan"
}返回此错误的端点#
DELETE /v2/roles/{id}GET /v2/organizations/{orgId}/audit-eventsGET /v2/organizations/{orgId}/audit-events/{eventId}PATCH /v2/invites/{id}PATCH /v2/organizations/{orgId}/members/{userId}PATCH /v2/roles/{id}PATCH /v2/service-api-keys/{id}POST /v2/organizations/{orgId}/invitesPOST /v2/organizations/{orgId}/rolesPOST /v2/organizations/{orgId}/service-api-keysPOST /v2/organizations/{orgId}/service-api-keys/scimPUT /v2/service-api-keys/{id}/content-scopePUT /v2/service-api-keys/{id}/engines